ITPub博客

首页 > Linux操作系统 > Linux操作系统 > Patch 8430622: Required component(s) missing : [ oracle.sysman.top.oms

Patch 8430622: Required component(s) missing : [ oracle.sysman.top.oms

原创 Linux操作系统 作者:tolywang 时间:2011-08-03 10:20:08 0 删除 编辑
Oracle 10.2.0.4.0   ,   Linux AS 5.3  64bit   

碰到OUI-25031 错误, 需要打补丁 8430622 , 在打补丁的时候又发现一个错误, 如下:
Patch 8430622: Required component(s) missing : [ oracle.sysman.top.oms, 10.2.0.3.0 ]






ipadtest<*ipadtest*>$opatch   lsinventory
Invoking OPatch 10.2.0.4.2
Oracle Interim Patch Installer version 10.2.0.4.2
Copyright (c) 2007, Oracle Corporation.  All rights reserved.

Oracle Home       : /u01/product/oracle
Central Inventory : /u01/product/oraInventory
   from           : /etc/oraInst.loc
OPatch version    : 10.2.0.4.2
OUI version       : 10.2.0.4.0
OUI location      : /u01/product/oracle/oui
Log file location : /u01/product/oracle/cfgtoollogs/opatch/opatch2011-08-03_10-14-40AM.log
Lsinventory Output file location : /u01/product/oracle/cfgtoollogs/opatch/lsinv/lsinventory2011-08-03_10-14-40AM.txt
--------------------------------------------------------------------------------
Installed Top-level Products (2):
Oracle Database 10g                                                  10.2.0.1.0
Oracle Database 10g Release 2 Patch Set 3                            10.2.0.4.0
There are 2 products installed in this Oracle Home.

There are no Interim patches installed in this Oracle Home.

--------------------------------------------------------------------------------
OPatch succeeded.
ipadtest<*ipadtest*>$  






ipadtest<*ipadtest*>$opatch   apply  
Invoking OPatch 10.2.0.4.2
Oracle Interim Patch Installer version 10.2.0.4.2
Copyright (c) 2007, Oracle Corporation.  All rights reserved.

Oracle Home       : /u01/product/oracle
Central Inventory : /u01/product/oraInventory
   from           : /etc/oraInst.loc
OPatch version    : 10.2.0.4.2
OUI version       : 10.2.0.4.0
OUI location      : /u01/product/oracle/oui
Log file location : /u01/product/oracle/cfgtoollogs/opatch/opatch2011-08-03_10-15-20AM.log
ApplySession applying interim patch '8430622' to OH '/u01/product/oracle'
Running prerequisite checks...
Prerequisite check "CheckApplicable" failed.
The details are:
Patch 8430622: Required component(s) missing : [ oracle.sysman.top.oms, 10.2.0.3.0 ]
ApplySession failed during prerequisite checks: Prerequisite check "CheckApplicable" failed.
System intact, OPatch will not attempt to restore the system

OPatch failed with error code 74
ipadtest<*ipadtest*>$

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/35489/viewspace-703901/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论
Oracle , MySQL, SAP IQ, SAP HANA, PostgreSQL, Tableau 技术讨论,希望在这里一起分享知识,讨论技术,畅谈人生 。

注册时间:2007-12-10

  • 博文量
    5595
  • 访问量
    13467146